LOCAL_PATH := $(call my-dir)

#
# Fairphone launcher build rule
#
include $(CLEAR_VARS)
LOCAL_PACKAGE_NAME := FairphoneLauncher3
LOCAL_SDK_VERSION := current
LOCAL_MIN_SDK_VERSION := 16
LOCAL_OVERRIDES_PACKAGES := Home Launcher2 Launcher3
LOCAL_PRIVILEGED_MODULE := true
LOCAL_CERTIFICATE := platform

# Relative path for Launcher3 directory
LAUNCHER_PATH := ../../../../../packages/apps/Launcher3

LOCAL_STATIC_JAVA_LIBRARIES := \
		android-support-v4 \
		android-support-v7-recyclerview \
		android-support-v7-palette

LOCAL_SRC_FILES := \
		$(call all-java-files-under, src) \
		$(call all-java-files-under, $(LAUNCHER_PATH)/src) \
		$(call all-java-files-under, $(LAUNCHER_PATH)/WallpaperPicker/src) \
		$(call all-proto-files-under, $(LAUNCHER_PATH)/protos)

LOCAL_RESOURCE_DIR := \
		$(LOCAL_PATH)/res \
		$(LOCAL_PATH)/$(LAUNCHER_PATH)/res \
		$(LOCAL_PATH)/$(LAUNCHER_PATH)/WallpaperPicker/res \
		frameworks/support/v7/recyclerview/res

LOCAL_PROGUARD_FLAG_FILES := $(LAUNCHER_PATH)/proguard.flags

LOCAL_PROTOC_OPTIMIZE_TYPE := nano
LOCAL_PROTOC_FLAGS := --proto_path=$(LOCAL_PATH)/$(LAUNCHER_PATH)/protos/
LOCAL_AAPT_FLAGS := \
		--auto-add-overlay \
		--extra-packages android.support.v7.recyclerview \
		--extra-packages com.android.launcher3

include $(BUILD_PACKAGE)
